Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	SIP - Python/C++ Bindings Generator
Name:      	sip
Version:   	4.7.6
Release:   	1
Epoch:		1
License: 	GNU/GPL
URL:		http://www.riverbankcomputing.co.uk/sip
Group:     	Development/Tools
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	python >= 2.5
BuildRequires:	glibc-devel libstdc++-devel

%description
SIP is a tool for generating bindings for C++ classes so that they can be
accessed as normal Python classes.  SIP takes many of its ideas from SWIG but,
because it is specifically designed for C++ and Python, is able to generate
tighter bindings.  SIP is so called because it is a small SWIG.

SIP was originally designed to generate Python bindings for KDE and so has
explicit support for the signal slot mechanism used by the Qt/KDE class
libraries.  However, SIP can be used to generate Python bindings for any C++
class library.

%package	devel
Summary: 	Files needed to generate Python bindings for any C++ class library
Group: 		Development/Libraries
Requires: 	%{name} = %{epoch}:%{version}-%{release}

%description	devel
This package contains files needed to generate Python bindings for any C++
classes library.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
python configure.py 
make

%install
make install DESTDIR=$RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%_bindir
%_libdir

%files devel
%defattr(-,root,root)
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jun 19 2008 Christian Metzen <metzench@ccux-linux.de> 4.7.6-1
- Version update
* Sat Mar 08 2008 Christian Wasem <wasem@ccux-linux.de> 4.7.4-1
- Version Update
* Thu Jan 18 2007 Simon Schmeisser <wrt@ccux-linux.de> 4.5.2-1
- Version Update
* Mon Sep 25 2006 Christian Metzen <metzench@ccux-linux.de> 20060924-1
- rebuild against latest python, version update to latest snapshot
* Tue Jul 11 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 4.4.5-1
- Version Update
* Thu May 11 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 4.4.3-1
- Version Update
* Sat Mar 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.4-1
- Version Update
* Wed Aug 31 2005 Christian Wasem <wasem@ccux-linux.de> 4.3-1
- Version Update to 4.3
* Sun Mar 06 2005 Christian Metzen <metzench@ccux-linux.de> 4.2.1-1
- Version Update to 4.2.1
* Sun Feb 20 2005 Christian Metzen <metzench@ccux-linux.de> 4.2-1
- Initial Release
